package com.koko.batteryinfo

import android.app.Dialog
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.viewbinding.ViewBinding

abstract class BaseActivity<T : ViewBinding> : AppCompatActivity() {
    private val TAG = "BaseActivity"

    protected abstract val binding: T

    lateinit var launcher: ActivityLauncher


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        launcher = ActivityLauncher(this)
        setContentView(binding.root)

//        EventUtils.event("page_${javaClass.simpleName}")
        initView()
        initListener()
    }

    protected abstract fun initView()

    protected open fun initListener() {}


    var dialog: Dialog? = null
    override fun onDestroy() {
        super.onDestroy()
    }


    override fun onResume() {
        super.onResume()
    }


}